{ ... }:

{
  programs.ghostty = {
    enable = true;
    enableFishIntegration = true;
    installBatSyntax = true;

    systemd.enable = true;

    settings = {
      theme = "Rose Pine Moon";
      font-family = "JetBrains Mono";
      # background-opacity = 0.9;
      # background-blur = true;

      link-url = true;
      link-previews = true;

      shell-integration-features = [
        "sudo"
        "ssh-env"
        "ssh-terminfo"
      ];

      # keybind = [
      #   ''ctrl+digit_0=reset_font_size''
      #   ''ctrl+shift+0=reset_font_size''
      #   ''ctrl+shift+w=close_surface:this''
      # ];
      # keybind = "ctrl+shift+w=close_surface:this";
    };
  };
}
